
package de.ivu.elect.presentation.staat.table;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.staat.entity.Staat;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Specializes
public class CommonStaatColumnBuilder extends StaatColumnBuilder {

  private static final long serialVersionUID = 1L;

  private AbstractStaatColumn<Staat> staatEuStaatColumn;

  public CommonStaatColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    super.initColumns();

    staatEuStaatColumn = AbstractStaatColumn.createStaatEuStaatColumn(getMessages());
  }

  @Override
  protected List<ColumnEntry< ? super Staat>> getColumnEntriesSorted() {
    List<ColumnEntry< ? super Staat>> result = new ArrayList<>(super.getColumnEntriesSorted());

    result.add(staatEuStaatColumn);

    return result;
  }
}
